use super::*;

mod query; pub use query::WindowQuery;
mod internal; use internal::Internal;

pub struct WindowSystem {
    channel:Sender<Query>,
}


impl WindowSystem {
    
}

impl Subsystem for WindowSystem {

    fn start() -> Result<Sender<Query>, crate::Error>
    {
        let (tx, rx) = channel::bounded::<Query>(24);

        std::thread::spawn(move || {
            Internal::thread(rx);
        });

        Ok(tx)
    }
}
